%global git_tag dc358990381fa5441142b3ba257458ed009bf462

Name:           eclipse-swtbot
Version:        2.8.0
Release:        3%{?dist}
Summary:        UI and functional testing tool for SWT and Eclipse based applications

License:        EPL-1.0
URL:            http://www.eclipse.org/swtbot/
Source0:        http://git.eclipse.org/c/swtbot/org.eclipse.swtbot.git/snapshot/org.eclipse.swtbot-%{git_tag}.tar.xz

# Remove explicit dep on javax-annotation, it is provided by system bundle
Patch0: javax-annotation.patch

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  eclipse-gef
BuildRequires:  eclipse-pde
BuildRequires:  cbi-plugins
BuildRequires:  eclipse-license
BuildRequires:  tycho
BuildRequires:  log4j12
BuildRequires:  hamcrest

%description
SWTBot is a Java based UI/functional testing tool for testing SWT and Eclipse
based applications. SWTBot provides APIs that are simple to read and write.
The APIs also hide the complexities involved with SWT and Eclipse. This makes
it suitable for UI/functional testing by everyone, not just developers.

%prep
%setup -q -n org.eclipse.swtbot-%{git_tag}
%patch0

for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
rm -fr $j
fi
done
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='target-platform-configuration']"
%pom_remove_plugin org.jacoco:jacoco-maven-plugin
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin
%pom_disable_module org.eclipse.swtbot.updatesite
%pom_disable_module org.eclipse.swtbot.nebula.gallery
%pom_disable_module org.eclipse.swtbot.nebula.gallery.finder
%pom_disable_module org.eclipse.swtbot.nebula.gallery.finder.test
%pom_disable_module org.eclipse.swtbot.nebula.nattable
%pom_disable_module org.eclipse.swtbot.nebula.nattable.finder
%pom_disable_module org.eclipse.swtbot.nebula.nattable.finder.test

%mvn_package "::pom::" __noinstall
%mvn_package ":*.test" __noinstall
%mvn_package ":*.test.*" __noinstall
%mvn_package ":*.{examples,demo}" __noinstall
%mvn_package "::jar:sources:"


%build
%mvn_build -j -f

%install
%mvn_install

# Remove uneeded extra symlinks
# (these are optional deps of log4j, which we don't need at runtime)
# Needed until fp-p2 can grow the features to make this possible in a better way
sed -i -e '/\(geronimo\|mail\)/d' .mfiles %{buildroot}/%{_datadir}/eclipse/droplets/swtbot/fragment.info
rm -f %{buildroot}/%{_datadir}/eclipse/droplets/swtbot/plugins/*{mail,geronimo}*

%files -f .mfiles

%changelog
* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 2.8.0-3
- Restrict to same architectures as Eclipse itself

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 10 2018 Mat Booth <mat.booth@redhat.com> - 2.8.0-1
- Update to latest upstream release
- Amend license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 2.7.0-1
- Update to Photon release

* Fri May 4 2018 Alexander Kurtakov <akurtako@redhat.com> 2.6.0-4
- Adjust to remove useless extra eclipse dir in droplets.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 22 2017 Mat Booth <mat.booth@redhat.com> - 2.6.0-1
- Update to Oxygen release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 30 2017 Mat Booth <mat.booth@redhat.com> - 2.5.0-4
- Remove explicit versioned dep on javax-annotation, it is provided by the
  system bundle

* Wed Oct 26 2016 Mat Booth <mat.booth@redhat.com> - 2.5.0-3
- Remove extraneous lines from fragment.info

* Thu Oct 06 2016 Mat Booth <mat.booth@redhat.com> - 2.5.0-2
- Remove uneeded symlinks to optional deps of log4j

* Thu Sep 29 2016 Alexander Kurtakov <akurtako@redhat.com> 2.5.0-1
- Update to upstream 2.5.0 release.

* Thu Jul 28 2016 Mat Booth <mat.booth@redhat.com> - 2.4.0-3
- Drop unnecessary BR on jacoco

* Tue May 03 2016 Mat Booth <mat.booth@redhat.com> - 2.4.0-2
- Don't ship demo project as it requires examples that are not shipped

* Wed Apr 27 2016 Alexander Kurtakov <akurtako@redhat.com> 2.4.0-1
- Update to upstream 2.4.0.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 2.3.0-2
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 24 2015 Alexander Kurtakov <akurtako@redhat.com> 2.3.0-1
- Update to upstream 2.3.0.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 9 2015 Alexander Kurtakov <akurtako@redhat.com> 2.2.1-5
- Add BR on full hamcrest now that platform depend only on part of it.

* Fri Feb  6 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.1-4
- Rebuild to generate missing OSGi auto-requires

* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 2.2.1-3
- Build with xmvn.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jun 4 2014 Alexander Kurtakov <akurtako@redhat.com> 2.2.1-1
- Update to upstream 2.2.1 release.

* Mon Aug 12 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.1-1
- Update to latest upstream version.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-1
- Update to the official release.

* Tue Feb 26 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-0.2.20130226git
- New snapshot removing org.junit4 references.

* Tue Feb 26 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-0.1.20130225git
- Update to 2.1.0 prerelease - compatible with kepler platform.

* Wed Feb 20 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-4.20120802git
- Skip tycho version check.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3.20120802git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 6 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-2.20120802git
- Fix review comments.

* Thu Aug 2 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-1.gita95f41b7ae6d7790dab36bca982d4b833fd2662d
- Initial package
